package com.brilliance.isc.vo.lg;


import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitameVo extends BaseTransactionVo {

    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    //与前端模型保持一致
    private NitamepVo nitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private NitameInfoVo nitameInfoVo;

    private Spt spt;

    private Ncdgrp ncdgrp;

    @Override
    public void reset() {
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        //nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        //oldnidgrp.reset();
        if (nitamep == null) {
            nitamep = new NitamepVo();
        }
        nitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (spt == null) {
            spt = new Spt();
        }
        if (nitameInfoVo == null) {
            nitameInfoVo = new NitameInfoVo();
        }
        nitameInfoVo.reset();
    }
}
